# This script is heavily inspired from the code generated by the GNU autotools
# in config.status
BEGIN {
	for (key in ENVIRON) E_is_set[key] = 1
	FS = "^G"

}
{
	line = $ 0
	nfields = split(line, field, "@")
	substed = 0
	len = length(field[1])
	for (i = 2; i < nfields; i++) {
		key = field[i]
		keylen = length(key)
		if (E_is_set[key]) {
			value = ENVIRON[key]
			line = substr(line, 1, len) "" value "" substr(line, len + keylen + 3)
			len += length(value) + length(field[++i])
			substed = 1
		} else
		len += 1 + keylen
	}

	print line
}
